%define major 3
%define libname %mklibname dlm %major
%define develname %mklibname -d dlm

Name:           dlm
Version:        3.99.5
Release:        %mkrel 2
License:        GPLv2 and GPLv2+ and LGPLv2+
# For a breakdown of the licensing, see README.license
Group:          System/Kernel and hardware
Summary:        Cluster control daemon and tool
URL:            https://fedorahosted.org/cluster
BuildRequires:  kernel-userspace-headers
BuildRequires:  corosync-devel >= 1.99.9
BuildRequires:  pacemaker-devel >= 1.1.7
BuildRequires:  libxml2-devel
BuildRequires:  systemd-units
Source0:	http://people.redhat.com/teigland/%{name}-%{version}.tar.gz

Requires:	%{libname} = %{version}-%{release}
Requires:       corosync >= 1.99.9
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
The kernel dlm requires a user daemon to control cluster membership.

%prep
%setup -q

%build
# upstream does not require configure
# upstream does not support _smp_mflags
CFLAGS=$RPM_OPT_FLAGS make
CFLAGS=$RPM_OPT_FLAGS make -C fence

%install
make install LIBDIR=%{_libdir} UDEVDIR=%{_prefix}/lib/udev/rules.d DESTDIR=$RPM_BUILD_ROOT
make -C fence install LIBDIR=%{_libdir} DESTDIR=$RPM_BUILD_ROOT

install -Dm 0644 init/dlm.service %{buildroot}%{_unitdir}/dlm.service

%post
%_post_service dlm

%preun
%_preun_service dlm

%postun
%_postun_service dlm

%files
%doc README.license
%{_unitdir}/dlm.service
%{_sbindir}/dlm_controld
%{_sbindir}/dlm_tool
%{_sbindir}/dlm_stonith
%{_mandir}/man8/dlm*
%{_mandir}/man5/dlm*
%{_mandir}/man3/*dlm*

%package -n %{libname}
Summary:        Library for %{name}
Group:          System/Libraries

%description -n %{libname}
The %{name}-lib package contains the libraries needed to use the dlm
from userland applications.

%files -n %{libname}
%{_prefix}/lib/udev/rules.d/*-dlm.rules
%{_libdir}/libdlm*.so.*

%package -n %{develname}
Summary:        Development files for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:	dlm-devel

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %{develname}
%{_libdir}/libdlm*.so
%{_includedir}/libdlm*.h
%{_libdir}/pkgconfig/*.pc


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.99.5-2.mga3
+ Revision: 348833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 20 2012 sander85 <sander85> 3.99.5-1.mga3
+ Revision: 296334
- usrmove
- New version: 3.99.5

* Sat Apr 28 2012 tmb <tmb> 3.99.2-3.mga2
+ Revision: 233674
- Require rpm-helper >= 0.24.8-1 for systemd support
- rebuild for versioned rpm-helper requires

* Mon Apr 23 2012 boklm <boklm> 3.99.2-1.mga2
+ Revision: 232960
- update release, groups, build requires, provides, post scripts, lib package names for mageia
- imported package dlm

